Rated 5 out of 5 stars

Melhor aplicativo.

Rated 5 out of 5 stars

Stop complaining about Firefox 57 people. IT'S IMPOSSIBLE FOR THE DEVELOPER TO MAKE IT WORK WITH FIREFOX 57, because of Mozilla's decisions.

This user has a previous review of this add-on.

Rated 5 out of 5 stars

57不能用了,开发者也不更新了,默哀,firefox no zuo no die,byebye

This user has a previous review of this add-on.

Rated 1 out of 5 stars

When will the update come 57+ :(

This user has a previous review of this add-on.

Rated 5 out of 5 stars

Отличное расширение, сделайте работу для Firefox Quantum

Rated 2 out of 5 stars

good but new vergion not active master pasword

Rated 5 out of 5 stars

I need this!!!!!!! I can't live without it!!! It has kept me safe until today and I'm so sad right now. :(

Rated 5 out of 5 stars

Excellent performed its functions. The only application that allows you to set a password for opening a Firefox browser.
Please make faster support for version 57.0 of Firefox Quantum

Rated 5 out of 5 stars

I am *really* missing Firefox 57+ compatible version... :'-C

Rated 1 out of 5 stars

which can be put instead of your application ?

MP+ will never support Firefox anymore, because Firefox no longer has capability required for this addon. The only solution is to switch to Waterfox or Palemoon which support legacy addons.

Rated 5 out of 5 stars

I'M PISSED! It disturbs me to no end that the Mozilla team thinks that front end password protection is somehow not needed!
In this day and age we are all supposed to know that "security" is the watchword of the day. Frankly who doesn't step away from their computer, leaving it unattended on occasion!? I don't want my co-worker or my boss starting up Firefox to know ANYTHING while I'm out of the room warming up my coffee!
It is not simply a matter of whether they can access my bank account! They can't. THAT'S not the point!

Rated 2 out of 5 stars

it was great but now it doesn't work with firefox quantum =(

Rated 5 out of 5 stars

excellent complement I hope you reprogram it again for firefox 57

Rated 5 out of 5 stars

es un muy buen complemento y te permite mayor privacidad.

It is a very good complement and allows you more privacy.

Rated 5 out of 5 stars

The best addon there ever was , i am truly sad about you no longer being able to work on quantum but i am going to stick to firefox 56 to make this addon keep working

Rated 5 out of 5 stars

This addon is good for all my tasks

Great addon, so I am not upgrading from FF56. Rated 5 out of 5 stars

Thanks.

This review is for a previous version of the add-on (1.28.2). 

Consider making it work with ff-based «Pale Moon», w/o WebExtensions. Rated 5 out of 5 stars

Here the documentation:

— http://developer.palemoon.org/Add-ons:Extensions/Jetpack
— http://developer.palemoon.org/Add-ons:Site
— https://addons.palemoon.org/incompatible/

This review is for a previous version of the add-on (1.28.2). 

For anyone that cannot use this addons on firefox 57, change your browser to firefox ESR Rated 5 out of 5 stars

For anyone that cannot use this addons on firefox 57, change your browser to firefox ESR and you still continue using this wonderful addons.

This review is for a previous version of the add-on (1.28.2). 

Please, need be compatible with version 57 Rated 3 out of 5 stars

Please, need be compatible with version 57

This review is for a previous version of the add-on (1.25). 

FF56 will be the last version this addon compatible with, because mozilla is killing all extensions that require XUL.
https://blog.mozilla.org/addons/2016/11/23/add-ons-in-2017/comment-page-1/
For now MP+ still runs fine in FF57 (you need adjust max version in install.rdf and disable xpinstall.signatures.required in about:config), but it will most probably change in the future and nothing I can do about it.

[EDIT]
It's no longer compatible with FF57 and never will, give all the thanks to mozilla for that.